import com.gridnine.xtrip.common.model.entity.EntityStorage
import com.gridnine.xtrip.common.model.finance.FinanceInitializationDataIndex
import com.gridnine.xtrip.common.search.SearchQuery

SearchQuery query = new SearchQuery()

List<FinanceInitializationDataIndex> indexes = EntityStorage.get().search(FinanceInitializationDataIndex.class, query).getData()

for(FinanceInitializationDataIndex index : indexes) {
    EntityStorage.get().delete(index.getSource())
}